Description

The EGI dataminer images available right now need a manual intervention after the activation.

There are three problems:

the variable 'AUTHORIZED_CHILDREN' is not exported correctly

the configuration script does not initialize a variable, and the effect is that the gcube home directory is set with wrong

permissions

the whn-manager is deployed incorrectly, lot of jar files are missing (the war file is OK).

History

#1 - Jun 27, 2017 01:26 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Jun 27, 2017 01:35 PM - Andrea Dell'Amico

- File dev-init-script added

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

I'm attaching a contextualization script that fixes all the three problems. It's the one used in dev, but the others differ only for the scopes list.

Here is the diff against the original, too:

--- dev-init-script.orig    2017-06-27 13:20:17.000000000 +0200

+++ dev-init-script 2017-06-27 13:33:07.000000000 +0200

@@ -6,10 +6,10 @@

 export INFRA_NAME="gcube"

 export SMARTGEARS_SCOPES="/gcube /gcube/devsec /gcube/devNext"

 export SMARTGEARS_TOKEN='token'

+export AUTHORIZE_CHILDREN='true'

 # This script is installed into the VM instance

 PATH="/bin:/sbin:/usr/bin:/usr/sbin:$PATH"

-AUTHORIZE_CHILDREN=true

 HOSTS_FILE=/etc/hosts

 PUBLIC_IP=$( wget http://ipecho.net/plain -qO - )

 MAIN_IP=$( ip addr show scope global dev eth0 | grep inet | awk '{ print $2 }' | cut -d "/" -f 1 )

@@ -31,4 +31,15 @@

 grep -v $PUBLIC_IP $HOSTS_FILE > $HOSTS_FILE.tmp

 echo "$PUBLIC_IP $PUB_FQDN_HOST $HOST" >> $HOSTS_FILE.tmp

 mv $HOSTS_FILE.tmp $HOSTS_FILE

+#

+service tomcat-instance-9000 stop

+chmod 755 /home/gcube

+rm -fr /home/gcube/tomcat/webapps/whn-manager

+grep -v authorizeChildrenContext /home/gcube/SmartGears/container.xml > /tmp/container1.xml

+grep -v \<\/container\> /tmp/container1.xml > /tmp/container2.xml

+echo "<authorizeChildrenContext>true</authorizeChildrenContext>" >> /tmp/container2.xml

+echo "</container>" >> /tmp/container2.xml

+mv /tmp/container2.xml /home/gcube/SmartGears/container.xml

+chown gcube:gcube /home/gcube/SmartGears/container.xml
+service tomcat-instance-9000 start

 exit 0

#3 - Jun 27, 2017 01:36 PM - Andrea Dell'Amico

- % Done changed from 100 to 80

@nunzioandrea.galante@eng.it can you change the fhn-manager so that it uses the new script?

#4 - Jun 27, 2017 02:42 PM - Nunzio Andrea Galante

- % Done changed from 80 to 100

Thanks Andrea. New references to the context scripts are the following:

Prod: http://data.d4science.org/MVoyZ2NIRGozYWhSLzcybU4zRmJoUG1FTG9GR3JnNmtHbWJQNStIS0N6Yz0

Dev: http://data.d4science.org/b050TTA2TVh4UjlSLzcybU4zRmJoUDdKekVJa1psaitHbWJQNStIS0N6Yz0

PreProd: http://data.d4science.org/ajNncDhidzhWbUpSLzcybU4zRmJoQ2tXbnRMcUtPUzZHbWJQNStIS0N6Yz0 Such attribute will be updated

in the Information System (for both the three environments) as soon as possible.

#5 - Jun 27, 2017 03:10 PM - Nunzio Andrea Galante

- Status changed from Feedback to Closed

Information System has been updated as well.
